<?php

namespace app\event\order;

use app\model\Member;
use app\model\MemberAccount;

class KangyangCityEvent{
    public function grant($params)
    {
        dump("进入event");
        // 会员VIP 标识
        Member::where('member_id',$params['member_id'])->update(['member_is_vip'=>'Y']);
        // 康养城VIP账户
        if (!MemberAccount::where('join_account_member_id',$params['member_id'])->where('member_account_classify','VIP')->exists()){
            $account = [
                'join_account_member_id' => $params['member_id'],
                'member_account_classify' => 'VIP',
                'member_account_status' => 'ACTIVED',
                'member_account_category'=>'NORMAL',
                'member_account_nbr' => $params['member_id'].'-VIP',
                'member_account_name' => 'VIP账户',
                'member_account_income'=>24000,
                'member_account_surplus' => 24000,
                'member_account_addtimes'=>time(),
            ];

            MemberAccount::insert($account);
        }   
    }
}